#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

int brojCifara(long long broj)
{
    int counter = 0;
    while(broj>0)
    {
        broj /= 10;
        counter++;
    }
    return counter;
}

int main()
{
    unsigned long long A,B,C;
    int duzA,duzB,duzC;
    scanf("%llu %llu %llu",&A,&B,&C);
    duzA = brojCifara(A);
    duzB = brojCifara(B);
    duzC = brojCifara(C);
    char pokusaj1[duzA+duzB+duzC];
    char pokusaj2[duzA+duzB+duzC];
    char pokusaj3[duzA+duzB+duzC];
    char pokusaj4[duzA+duzB+duzC];
    char pokusaj5[duzA+duzB+duzC];
    char pokusaj6[duzA+duzB+duzC];

    sprintf(pokusaj1,"%llu%llu%llu",A,B,C);
    sprintf(pokusaj2,"%llu%llu%llu",A,C,B);
    sprintf(pokusaj3,"%llu%llu%llu",B,A,C);
    sprintf(pokusaj4,"%llu%llu%llu",B,C,A);
    sprintf(pokusaj5,"%llu%llu%llu",C,A,B);
    sprintf(pokusaj6,"%llu%llu%llu",C,B,A);

    if(strcmp(pokusaj1,pokusaj2)==1)
    {
        if(strcmp(pokusaj1,pokusaj3)==1)
        {
            if(strcmp(pokusaj1,pokusaj4)==1)
            {
                if(strcmp(pokusaj1,pokusaj5)==1)
                {
                    if(strcmp(pokusaj1,pokusaj6)==1)
                    {
                        printf("%s",pokusaj1);
                        return 1;
                    }
                    else {printf("%s",pokusaj6);return 1;}
                }else
                {
                    if(strcmp(pokusaj5,pokusaj6)==1)
                    {
                        printf("%s",pokusaj5);
                        return 1;
                    }
                    else {printf("%s",pokusaj6);return 1;}
                }

            }else
            {
                if(strcmp(pokusaj4,pokusaj5)==1)
                {
                    if(strcmp(pokusaj4,pokusaj6)==1)
                    {
                        printf("%s",pokusaj4);
                        return 1;
                    }
                    else {printf("%s",pokusaj6);return 1;}
                }else
                {
                    if(strcmp(pokusaj5,pokusaj6)==1)
                    {
                        printf("%s",pokusaj5);
                        return 1;
                    }
                    else {printf("%s",pokusaj6);return 1;}
                }
            }

        }else
        {
            if(strcmp(pokusaj3,pokusaj4)==1)
            {
                if(strcmp(pokusaj3,pokusaj5)==1)
                {
                    if(strcmp(pokusaj3,pokusaj6)==1)
                    {
                        printf("%s",pokusaj3);
                        return 1;
                    }
                    else {printf("%s",pokusaj6);return 1;}
                }else
                {
                    if(strcmp(pokusaj5,pokusaj6)==1)
                    {
                        printf("%s",pokusaj5);
                        return 1;
                    }
                    else {printf("%s",pokusaj6);return 1;}
                }

            }else
            {
                if(strcmp(pokusaj4,pokusaj5)==1)
                {
                    if(strcmp(pokusaj4,pokusaj6)==1)
                    {
                        printf("%s",pokusaj4);
                        return 1;
                    }
                    else {printf("%s",pokusaj6);return 1;}
                }else
                {
                    if(strcmp(pokusaj5,pokusaj6)==1)
                    {
                        printf("%s",pokusaj5);
                        return 1;
                    }
                    else {printf("%s",pokusaj6);return 1;}
                }
            }
        }

    }
    else
    {
        if(strcmp(pokusaj2,pokusaj3)==1)
        {
            if(strcmp(pokusaj2,pokusaj4)==1)
            {
                if(strcmp(pokusaj2,pokusaj5)==1)
                {
                    if(strcmp(pokusaj2,pokusaj6)==1)
                    {
                        printf("%s",pokusaj2);
                        return 1;
                    }
                    else {printf("%s",pokusaj6);return 1;}
                }else
                {
                    if(strcmp(pokusaj5,pokusaj6)==1)
                    {
                        printf("%s",pokusaj5);
                        return 1;
                    }
                    else {printf("%s",pokusaj6);return 1;}
                }

            }else
            {
                if(strcmp(pokusaj4,pokusaj5)==1)
                {
                    if(strcmp(pokusaj4,pokusaj6)==1)
                    {
                        printf("%s",pokusaj4);
                        return 1;
                    }
                    else {printf("%s",pokusaj6);return 1;}
                }else
                {
                    if(strcmp(pokusaj5,pokusaj6)==1)
                    {
                        printf("%s",pokusaj5);
                        return 1;
                    }
                    else {printf("%s",pokusaj6);return 1;}
                }
            }

        }else
        {
            if(strcmp(pokusaj3,pokusaj4)==1)
            {
                if(strcmp(pokusaj3,pokusaj5)==1)
                {
                    if(strcmp(pokusaj3,pokusaj6)==1)
                    {
                        printf("%s",pokusaj3);
                        return 1;
                    }
                    else {printf("%s",pokusaj6);return 1;}
                }else
                {
                    if(strcmp(pokusaj5,pokusaj6)==1)
                    {
                        printf("%s",pokusaj5);
                        return 1;
                    }
                    else {printf("%s",pokusaj6);return 1;}
                }

            }else
            {
                if(strcmp(pokusaj4,pokusaj5)==1)
                {
                    if(strcmp(pokusaj4,pokusaj6)==1)
                    {
                        printf("%s",pokusaj4);
                        return 1;
                    }
                    else {printf("%s",pokusaj6);return 1;}
                }else
                {
                    if(strcmp(pokusaj5,pokusaj6)==1)
                    {
                        printf("%s",pokusaj5);
                        return 1;
                    }
                    else {printf("%s",pokusaj6);return 1;}
                }
            }
        }
    }
}